<?php

namespace FiloBlu\LogView\Block\Adminhtml\Reports;

/**
 * Abstract items renderer
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class View extends \Magento\Backend\Block\Template {

    protected $directory_list;
    protected $request;

    public function __construct(
    \Magento\Backend\Block\Template\Context $context, array $data = [], \Magento\Framework\App\Filesystem\DirectoryList $directory_list, \Magento\Framework\App\Request\Http $request
    ) {
        $this->directory_list = $directory_list;
        $this->request = $request;
        
        parent::__construct($context, $data);
    }

    public function getLog() {
        $logFile = array();
        $lines = "";
        
        $handle = fopen($this->directory_list->getPath('var') . DIRECTORY_SEPARATOR . "report" . DIRECTORY_SEPARATOR . $this->request->getParam("file_name"), "r");
        if ($handle) {
            while (($line = fgets($handle)) !== false) {
                // process the line read.
                $lines .= $line . '</br></br>';
                array_push($logFile, $line . '</br></br>');
            }

            fclose($handle);
        } else {
            // error opening the file.
        }

        return $lines;
    }

}
