<?php

namespace FiloBlu\LogView\Model\ResourceModel\Log;

use Magento\Framework\Data\Collection as DataCollection;

class Collection extends DataCollection {

    protected $directory_list;
   
    public function __construct(DataCollection\EntityFactoryInterface $entityFactory, \Magento\Framework\App\Filesystem\DirectoryList $directory_list) {

        $this->directory_list = $directory_list;
      
        $this->populateGrid();

        parent::__construct($entityFactory);
    }

    protected function populateGrid() {

        foreach (glob($this->directory_list->getPath('log') . DIRECTORY_SEPARATOR . "*.log") as $file) {
            $obj = new \Magento\Framework\DataObject();
            $this->addItem(
                    $obj
                            ->setFilename(basename($file))
                            ->setPath($file)
                           
            );
        }
    }

     public function addFieldToFilter($field, $condition) {
        
       
    }
    
}
